require 'studio_game/game'

module StudioGame
describe Game do

  before do
    @game = Game.new("Knuckleheads")
  end

  context "being played with one player" do
    before do
      @initial_health = 100
      @player = Player.new("moe", @initial_health)
      @game.add_player(@player)
    end
    
    it "gives the player a w00t if a high number is rolled" do
#      @game.stub(:roll_die).and_return(5)
      Die.any_instance.stub(:roll).and_return(5)
      @game.play(2)
  
      @player.health.should == @initial_health + (15 * 2)
    end
    
    it "gives the player nothing if a 3 or 4 is rolled" do
#      @game.stub(:roll_die).and_return(4)
      Die.any_instance.stub(:roll).and_return(4)
      @game.play(2)
  
      @player.health.should == @initial_health
    end
    
    it "gives the player a blam if a low number is rolled" do
#      @game.stub(:roll_die).and_return(2)
      Die.any_instance.stub(:roll).and_return(2)
      @game.play(2)
  
      @player.health.should == @initial_health - (10 * 2)
    end
    
    it "assigns a treasure for points during a player's turn" do
      game = Game.new("Knuckleheads")
      player = Player.new("moe")

      game.add_player(player)

      game.play(1)

      player.points.should_not be_zero

      # or use alternate expectation syntax:
      # expect(player.points).not_to be_zero
    end
  end
end
end